Skip to main content
GET
/
api
/
trade
/
v1
/
get-trade-restrictions
GetTradeRestrictions
curl --request GET \
  --url https://api.example.com/api/trade/v1/get-trade-restrictions
{
  "restrictions": [
    {
      "id": "<string>",
      "reportingCountry": "<string>",
      "affectedCountry": "<string>",
      "productSector": "<string>",
      "measureType": "<string>",
      "description": "<string>",
      "status": "<string>",
      "notifiedAt": "<string>",
      "sourceUrl": "<string>"
    }
  ],
  "fetchedAt": "<string>",
  "upstreamUnavailable": true
}

Query Parameters

countries
string

WTO member codes to filter by. Empty = all.

limit
integer<int32>

Max results to return (server caps at 100).

Response

Successful response

Response containing trade restrictions and fetch metadata.

restrictions
object[]
fetchedAt
string

ISO 8601 timestamp when data was fetched from WTO.

upstreamUnavailable
boolean

True if upstream fetch failed and results may be stale/empty.